// pages/member/myOrder/order_record/order_record.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    show1: false,
    order_id: '',
    img_url: '',
    btn_name: '',
    reason_data: '',
    order_state: '',
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.order_id) {
      options.order_id;
    }
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {
    this._initData();
    this._getJson();
  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  _initData() {
    this.setData({
      show1: false,
      img_url: '',
      btn_name: '',
      reason_data: '',
      order_state: '',
    });
  },
  show1btn() {
    this.setData({
      show1: true
    });
  },
  show1Close() {
    this.setData({
      show1: false
    });
  },
  _getJson() {
    this.setData({
      img_url: ''
    });
    let that = this;
    let urlStr = app.getNetAddresss("remittance.remittance-record");
    urlStr += '&order_id=' + that.data.order_id;
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            img_url: res.data.report_url,
            btn_name: res.data.button_models[0].name,
            reason_data: res.data.audit_note,
            order_state: res.data.status_name
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
});
